#include <stdio.h>
#include <stdlib.h>

#include "./lib/pf-sdk.h"

void main(void)
{
	int result;

	result = pf_init("demo");
	if(result == -1){
		printf("pf_init error\n");
		return;
	}

	result = pf_start("tcp", 1234, "127.0.0.1", 80);
	if(result == -1){
		printf("pf_start error\n");
		return;
	}


	result = pf_start("udp", 4321, "127.0.0.1", 5678);
	if(result == -1){
		printf("pf_start error\n");
		return;
	}
	

	_sleep(20000);

	pf_stop(4321);

	while(1){
		_sleep(2000);
	}

	return;
}